/* Experimental library  libfoo.c */

typedef int int1;

typedef int1 int2;

typedef int int3;

int increment(int m) {
  m = m + 1;
  return m;
}

#pragma TASS system 
double square(double x);

#pragma TASS system 
int FOO_f(int n);